Skip to navigation

Settle a payment

View as Markdown

If the Asynchronous Payment Statuses feature is not enabled, this API operation sets the Gateway State field of the payment to Settled and returns the Payment object as response.

If the Asynchronous Payment Statuses feature is enabled, for ACH and Bank Transfer payments, this API operation sets the Payment Status field to Processed and the Gateway State field to Settled.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

payment-keystringRequired

The payment number starting with “P-” or the unique payment ID.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Request

This endpoint expects an object.
gatewayReconciliationReasonstringOptional
The reason of gateway reconciliation.
gatewayReconciliationStatusstringOptional
The status of gateway reconciliation.
payoutIdstringOptional
The payout ID from the gateway side.
settledOnstringOptional

The date and time of the transaction settlement. The format is yyyy-mm-dd hh:mm:ss.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
accountIdstringOptional
The ID of the customer account that the payment is for.
accountNumberstringOptional
The number of the customer account that the payment is for.
amountdoubleOptional
The total amount of the payment.
appliedAmountdoubleOptional
The applied amount of the payment.
authTransactionIdstringOptional
The authorization transaction ID from the payment gateway.
bankIdentificationNumberstringOptional
The first six or eight digits of the credit card or debit card used for the payment, when applicable.
cancelledOnstringOptional

The date and time when the payment was cancelled, in yyyy-mm-dd hh:mm:ss format.

commentstring or nullOptional
Comments about the payment.
createdByIdstringOptional
The ID of the Zuora user who created the refund.
createdDatestringOptional

The date and time when the chargeback is created, in yyyy-mm-dd hh:mm:ss format. For example, 2019-03-01 15:31:10.

creditBalanceAmountdoubleOptional

The amount that the payment transfers to the credit balance. The value is not 0 only for those payments that come from legacy payment operations performed without the Invoice Settlement feature.

currencystringOptional

A currency defined in the web-based UI administrative settings.

effectiveDatestringOptional

The date and time when the payment takes effect, in yyyy-mm-dd hh:mm:ss format.

paymentGatewayNumberstring or nullOptional
The number of the payment gateway instance.
financeInformationobjectOptional
Container for the finance information related to the refund.
gatewayIdstringOptional
The ID of the gateway instance that processes the payment.
gatewayOrderIdstringOptional

A merchant-specified natural key value that can be passed to the electronic payment gateway when a payment is created. If not specified, the payment number will be passed in instead.

gatewayReconciliationReasonstringOptional
The reason of gateway reconciliation.
gatewayReconciliationStatusstring or nullOptional
The status of gateway reconciliation.
gatewayResponsestringOptional

The message returned from the payment gateway for the payment. This message is gateway-dependent.

gatewayResponseCodestringOptional

The code returned from the payment gateway for the payment. This code is gateway-dependent.

gatewayStateenumOptional

The status of the payment in the gateway; specifically used for reconciliation.

Allowed values:
idstringOptional
The ID of the payment chargeback.
markedForSubmissionOnstringOptional

The date and time when a charge was marked and waiting for batch submission to the payment process, in yyyy-mm-dd hh:mm:ss format.

numberstringOptional

The unique identification number of the payment. For example, P-00000001.

organizationLabelstringOptional

The organization that this object belongs to.

Note: This field is available only when the Multi-Org feature is enabled.

paymentMethodIdstringOptional
The unique ID of the payment method that the customer used to make the payment.
paymentMethodSnapshotIdstringOptional
The unique ID of the payment method snapshot which is a copy of the particular Payment Method used in a transaction.
payoutIdstring or nullOptional
The payout ID from the gateway side.
referenceIdstringOptional
The transaction ID returned by the payment gateway for an electronic refund. Use this field to reconcile refunds between your gateway and Zuora Payments.
refundAmountdoubleOptional
The amount of the payment that is refunded.
secondPaymentReferenceIdstring or nullOptional
The transaction ID returned by the payment gateway if there is an additional transaction for the payment.
settledOnstringOptional

The date and time when the transaction is settled, in yyyy-mm-dd hh:mm:ss format.

softDescriptorstringOptional

A payment gateway-specific field that maps Zuora to other gateways.

softDescriptorPhonestringOptional

A payment gateway-specific field that maps Zuora to other gateways.

statusstringOptional
The status of the payment.
submittedOnstringOptional

The date and time when the payment was submitted, in yyyy-mm-dd hh:mm:ss format.

successbooleanOptional
Indicates if the request is processed successfully.
typeenumOptional
The type of the payment.
Allowed values:
unappliedAmountdoubleOptional
The unapplied amount of the payment.
updatedByIdstringOptional
The ID of the Zuora user who last updated the payment.
updatedDatestringOptional

The date and time when the payment was last updated, in yyyy-mm-dd hh:mm:ss format. For example, 2019-03-02 15:36:10.

Errors

4XX
Client Request Error
500
Internal Server Error